Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class SubgroupDiscovery

    java.lang.Object
      nl.liacs.subdisc.MiningAlgorithm
          nl.liacs.subdisc.SubgroupDiscovery

    public class SubgroupDiscovery

extends MiningAlgorithm

Constructor Summary
`SubgroupDiscovery(SearchParameters theSearchParameters, Table theTable)`
`SubgroupDiscovery(SearchParameters theSearchParameters, Table theTable, boolean isRegression)`
`SubgroupDiscovery(SearchParameters theSearchParameters, Table theTable, float theAverage)`
`SubgroupDiscovery(SearchParameters theSearchParameters, Table theTable, int theNrPositive)`

Method Summary
`void` | `clearResult()`
`java.util.BitSet` | `getBinaryTarget()`
`int` | `getNumberOfSubgroups()`
`QualityMeasure` | `getQualityMeasure()`
`SubgroupSet` | `getResult()`
`SearchParameters` | `getSearchParameters()`
`void` | `mine(long theBeginTime)`
`void` | `mine(long theBeginTime, int theNrThreads)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubgroupDiscovery

    public SubgroupDiscovery(SearchParameters theSearchParameters,
                             Table theTable,
                             int theNrPositive)

### SubgroupDiscovery

    public SubgroupDiscovery(SearchParameters theSearchParameters,
                             Table theTable,
                             float theAverage)

### SubgroupDiscovery

    public SubgroupDiscovery(SearchParameters theSearchParameters,
                             Table theTable,
                             boolean isRegression)

### SubgroupDiscovery

    public SubgroupDiscovery(SearchParameters theSearchParameters,
                             Table theTable)

Method Detail

### mine

    public void mine(long theBeginTime)

### getNumberOfSubgroups

    public int getNumberOfSubgroups()

### getResult

    public SubgroupSet getResult()

### clearResult

    public void clearResult()

### getBinaryTarget

    public java.util.BitSet getBinaryTarget()

### getQualityMeasure

    public QualityMeasure getQualityMeasure()

### getSearchParameters

    public SearchParameters getSearchParameters()

### mine

    public void mine(long theBeginTime,
                     int theNrThreads)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD